Package Details: aseprite 1.2.25-1

Git Clone URL: https://aur.archlinux.org/aseprite.git (read-only, click to copy)
Package Base: aseprite
Description: Create animated sprites and pixel art
Upstream URL: http://www.aseprite.org/
Keywords: animation art editor gamedev image pixel sprites
Licenses: custom
Conflicts: aseprite-git, aseprite-gpl, skia-git
Submitter: benob
Maintainer: fbrennan (abueide, rouhannb)
Last Packager: rouhannb
Votes: 77
Popularity: 1.44
First Submitted: 2011-11-01 17:40
Last Updated: 2020-08-22 17:34

Required by (1)

Sources (34)

Pinned Comments

rouhannb commented on 2020-04-01 04:31

I decided to try it out for myself, and the same thing is happening to me. I’m not really sure why it’s happening, but my guess is that it has something to do with makepkg. I’ve tried building the AUR package depot-tools-git and I ran into the same problem, but cloning the repository by hand works fine.

I’ll just leave this pinned until the problem goes away: if the package is hanging when downloading depot_tools, run git clone --bare https://chromium.googlesource.com/chromium/tools/depot_tools.git depot_tools and rerun makepkg.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

rouhannb commented on 2020-05-21 20:04

maybe try this first before trying to recompile everything.

Correct me if I’m wrong, but by “everything”, you’re referring to this whole package, right? Apparently, all standard Arch Linux packages are rebuilt after a library update, and the wiki explicitly says “If the system has locally built packages (such as AUR packages), users will need to rebuild them when their dependencies receive a soname bump,” so it looks like rebuilding the package is actually the correct course of action.

I wouldn’t exactly recommend using an old version of nettle—it sort of puts a dent into the whole rolling release aspect of Arch—but I guess it’s technically fine too. You might want to put it into /usr/local/lib though; /usr/lib should be reserved for packages.

(Edit: nettle7 does not have a key-sign problem. You need to import the key in the validpgpkeys array.)

Luke commented on 2020-05-21 18:18

I've tried to compile manually from source, but it still doesn't works, compiling libnettle.so.7 (https://ftp.gnu.org/gnu/nettle/nettle-3.5.1.tar.gz) manually and copying it to /usr/lib/ solves the problem (at least to me). Just letting it here, maybe try this first before trying to recompile everything.

Maybe using nettle7 package (https://aur.archlinux.org/packages/nettle7/) could be an option, but they're having a key-sign problem.

edit: not recommended

rouhannb commented on 2020-05-15 12:02

It seems libnettle was updated recently, from version 7 to 8. Maybe you just need to rebuild the package?

Besides, libnettle isn’t even showing up as a dependency on my copy. Can you run ldd $(which aseprite) for me and tell me if nettle shows up?

Sorry it took so long, I need to check my email more frequently :P

k4rakara commented on 2020-05-11 19:23

Broke after I updated recently. Errors with "aseprite: error while loading shared libraries: libnettle.so.7: cannot open shared object file: No such file or directory", even if reinstalled.

rouhannb commented on 2020-05-01 02:43

I’m not sure what you mean when you say the package is using the latest commit. The source list clearly says “https://github.com/aseprite/aseprite/releases/download/v1.2.18/Aseprite-v1.2.18-Source.zip”. Have I misunderstood something?

Aseprite needs both the source and compiled versions of Skia, and unless I’m mistaken, it’s hardcoded to statically link it. What benefit could come out of separating the packages, especially since only Aseprite uses this particular fork of Skia?

ShayBox commented on 2020-04-30 14:12

This is the aseprite package, it should be using the tagged release source files, not the the latest commit, that's what the -git package is for. It should also not be compiling dependencies like skia, those need to be split into a seperate package to be depended on.

rouhannb commented on 2020-04-13 01:37

I’ve just published that package under the name aseprite-skia-bin. Thanks for the help with the PKGBUILD!

silverwyrda commented on 2020-04-12 18:18

Hi! It seems the author now provides the appropriate pre-built skia library, which makes building aseprite much quicker... You can find it here: https://github.com/aseprite/skia/releases. Would it be possible to support that (eventually in a different package)?

You probably don't need this but the relevant changes are the following (except I changed the -D order to match CMakeLists.txt and removed the ones that are the same as defaults):

makedepends=('cmake' 'ninja' 'git' 'freeglut')
source=("https://github.com/${pkgname}/${pkgname}/releases/download/v${pkgver}/${pkgname^}-v${pkgver}-Source.zip"
        "https://github.com/${pkgname}/skia/releases/download/m81-b607b32047/Skia-Linux-Release-x64.zip"
        "${pkgname}.desktop")

prepare() {
  :
}

build() {
  cd "${srcdir}"

  # Build aseprite
  cd "${srcdir}"
  mkdir --parents --verbose build && cd build

  cmake \
    -DUSE_SHARED_CMARK=ON \
    -DUSE_SHARED_CURL=ON \
    -DUSE_SHARED_GIFLIB=ON \
    -DUSE_SHARED_ZLIB=ON \
    -DUSE_SHARED_LIBPNG=ON \
    -DUSE_SHARED_TINYXML=ON \
    -DUSE_SHARED_FREETYPE=ON \
    -DUSE_SHARED_HARFBUZZ=ON \
    -DENABLE_UPDATER=OFF \
    -DLAF_BACKEND=skia \
    -DSKIA_DIR="${srcdir}" \
    -DSKIA_LIBRARY_DIR="${srcdir}/out/Release-x64" \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_TYPE=Release \
    -G Ninja \
    ..

  ninja aseprite
}

Thanks!

rouhannb commented on 2020-04-12 17:01

The package you needed was harfbuzz-icu, not harfbuzz. I’ve updated the dependencies.

kronaemmanuel commented on 2020-04-12 10:45

I'm constantly getting this error. Any idea on how to solve this? I've even tried installing harfbuzz separately but still the same error.

==> Starting build()...
Done. Made 60 targets from 43 files in 389ms
ninja: Entering directory `out/Release-x64'
[361/1593] compile ../../src/opts/SkOpts_sse41.cpp
In file included from ../../src/sksl/SkSLInterpreter.h:10,
                 from ../../src/opts/SkRasterPipeline_opts.h:13,
                 from ../../src/opts/SkOpts_sse41.cpp:12:
../../src/sksl/SkSLByteCode.h: In constructor ‘SkSL::ByteCode::Vector<width>::Vector(skvx::Vec<width, int>) [with int width = 8]’:
../../src/sksl/SkSLByteCode.h:91:9: note: the ABI for passing parameters with 32-byte alignment has changed in GCC 4.6
   91 |         Vector(skvx::Vec<width, int32_t> i)
      |         ^~~~~~
[587/1593] ACTION //third_party/icu:make_data_assembly(//gn/toolchain:gcc_like)
Generated gen/third_party/icu/icudtl_dat.S
[779/1593] compile ../../src/core/SkOpts.cpp
In file included from ../../src/sksl/SkSLInterpreter.h:10,
                 from ../../src/opts/SkRasterPipeline_opts.h:13,
                 from ../../src/core/SkOpts.cpp:43:
../../src/sksl/SkSLByteCode.h: In constructor ‘SkSL::ByteCode::Vector<width>::Vector(skvx::Vec<width, int>) [with int width = 8]’:
../../src/sksl/SkSLByteCode.h:91:9: note: the ABI for passing parameters with 32-byte alignment has changed in GCC 4.6
   91 |         Vector(skvx::Vec<width, int32_t> i)
      |         ^~~~~~
[1064/1593] compile ../../modules/particles/src/SkParticleEffect.cpp
In file included from ../../src/sksl/SkSLInterpreter.h:10,
                 from ../../modules/particles/include/SkParticleEffect.h:19,
                 from ../../modules/particles/src/SkParticleEffect.cpp:8:
../../src/sksl/SkSLByteCode.h: In constructor ‘SkSL::ByteCode::Vector<width>::Vector(skvx::Vec<width, int>) [with int width = 8]’:
../../src/sksl/SkSLByteCode.h:91:9: note: the ABI for passing parameters with 32-byte alignment has changed in GCC 4.6
   91 |         Vector(skvx::Vec<width, int32_t> i)
      |         ^~~~~~
[1074/1593] compile ../../modules/skshaper/src/SkShaper_harfbuzz.cpp
FAILED: obj/modules/skshaper/src/libskshaper.SkShaper_harfbuzz.o
c++ -MD -MF obj/modules/skshaper/src/libskshaper.SkShaper_harfbuzz.o.d -DSKSHAPER_IMPLEMENTATION=1 -DNDEBUG -DSK_GAMMA_APPLY_TO_A8 -DSK_SHAPER_HARFBUZZ_AVAILABLE -DSK_GL -DSK_SUPPORT_PDF -DSK_HAS_JPEG_LIBRARY -DSK_HAS_PNG_LIBRARY -DSK_CODEC_DECODES_RAW -DSK_HAS_WEBP_LIBRARY -DSK_XML -DSK_R32_SHIFT=16 -DU_USING_ICU_NAMESPACE=0 -DSK_USING_THIRD_PARTY_ICU -I../../modules/skshaper/include -I../.. -I/usr/include/harfbuzz -fstrict-aliasing -fPIC -O3 -fdata-sections -ffunction-sections -Wno-unused-parameter -I /home/krona/builds/aseprite/src/skia/third_party/externals/icu/source/common -I /home/krona/builds/aseprite/src/skia/third_party/externals/icu/source/i18n -I /home/krona/builds/aseprite/src/skia/third_party/icu -std=c++17 -fno-exceptions -fno-rtti -c ../../modules/skshaper/src/SkShaper_harfbuzz.cpp -o obj/modules/skshaper/src/libskshaper.SkShaper_harfbuzz.o
../../modules/skshaper/src/SkShaper_harfbuzz.cpp:33:10: fatal error: hb-icu.h: No such file or directory
   33 | #include <hb-icu.h>
      |          ^~~~~~~~~~
compilation terminated.
[1079/1593] compile ../../modules/skshaper/src/SkShaper.cpp
ninja: build stopped: subcommand failed.
==> ERROR: A failure occurred in build().
    Aborting...